

' VBA7 64bit declare statements for NAG C Library DLL Mark 26
' Copyright 2016, Numerical Algorithms Group Ltd, Oxford, UK.
' chapter m01

   Declare Ptrsafe Sub m01cac Lib "CLW6I26DE_nag.dll" ( _
    ByRef vec As double, _
    ByVal n As long, _
    ByVal order As Nag_SortOrder, _
    ByRef fail As NagError _
   )


' skeleton code for callback function
'  Function m01csc_compare( _
'      ByVal a As longPtr, _
'      ByVal b As longPtr _
'    ) As long
'      ' your code here
'  End Function

   Declare Ptrsafe Sub m01csc Lib "CLW6I26DE_nag.dll" ( _
    ByRef vec As longPtr, _
    ByVal n As long, _
    ByVal size As long, _
    ByVal stride As longPtr, _
    ByVal compare As longPtr, _
    ByVal order As Nag_SortOrder, _
    ByRef fail As NagError _
   )


' skeleton code for callback function
'  Function m01ctc_compare( _
'      ByVal a As longPtr, _
'      ByVal b As longPtr _
'    ) As long
'      ' your code here
'  End Function

   Declare Ptrsafe Sub m01ctc Lib "CLW6I26DE_nag.dll" ( _
    ByRef vec As longPtr, _
    ByVal n As long, _
    ByVal size As long, _
    ByVal stride As longPtr, _
    ByVal compare As longPtr, _
    ByVal order As Nag_SortOrder, _
    ByRef fail As NagError _
   )


' skeleton code for callback function
'  Function m01cuc_compare( _
'      ByVal a As longPtr, _
'      ByVal b As longPtr _
'    ) As long
'      ' your code here
'  End Function

   Declare Ptrsafe Sub m01cuc Lib "CLW6I26DE_nag.dll" ( _
    ByRef baseptr As longPtr, _
    ByVal offset As longPtr, _
    ByVal compare As longPtr, _
    ByVal order As Nag_SortOrder, _
    ByRef fail As NagError _
   )


' skeleton code for callback function
'  Function m01dsc_compare( _
'      ByVal a As longPtr, _
'      ByVal b As longPtr _
'    ) As long
'      ' your code here
'  End Function

   Declare Ptrsafe Sub m01dsc Lib "CLW6I26DE_nag.dll" ( _
    ByRef vec As longPtr, _
    ByVal n As long, _
    ByVal stride As longPtr, _
    ByVal compare As longPtr, _
    ByVal order As Nag_SortOrder, _
    ByRef ranks As long, _
    ByRef fail As NagError _
   )


   Declare Ptrsafe Sub m01esc Lib "CLW6I26DE_nag.dll" ( _
    ByRef vec As longPtr, _
    ByVal n As long, _
    ByVal size As long, _
    ByVal stride As longPtr, _
    ByRef indices As long, _
    ByRef fail As NagError _
   )


' skeleton code for callback function
'  Function m01fsc_compare( _
'      ByVal a As longPtr, _
'      ByVal b As longPtr _
'    ) As long
'      ' your code here
'  End Function

   Declare Ptrsafe Function m01fsc Lib "CLW6I26DE_nag.dll" ( _
    ByVal keyptr As longPtr, _
    ByRef vec As longPtr, _
    ByVal n As long, _
    ByVal stride As longPtr, _
    ByVal compare As longPtr, _
    ByVal order As Nag_SortOrder, _
    ByVal final As Nag_SearchMatch, _
    ByRef matchptr As longPtr, _
    ByRef fail As NagError _
   ) As long


   Declare Ptrsafe Function m01nac Lib "CLW6I26DE_nag.dll" ( _
    ByVal validate As Nag_Boolean, _
    ByRef rv As double, _
    ByVal m1 As long, _
    ByVal m2 As long, _
    ByVal item As double, _
    ByRef fail As NagError _
   ) As long


   Declare Ptrsafe Function m01nbc Lib "CLW6I26DE_nag.dll" ( _
    ByVal validate As Nag_Boolean, _
    ByRef iv As long, _
    ByVal m1 As long, _
    ByVal m2 As long, _
    ByVal item As long, _
    ByRef fail As NagError _
   ) As long


   Declare Ptrsafe Function m01ncc Lib "CLW6I26DE_nag.dll" ( _
    ByVal validate As Nag_Boolean, _
    ByRef ch As longPtr, _
    ByVal m1 As long, _
    ByVal m2 As long, _
    ByVal item As String, _
    ByRef fail As NagError _
   ) As long


   Declare Ptrsafe Sub m01zac Lib "CLW6I26DE_nag.dll" ( _
    ByRef ranks As long, _
    ByVal n As long, _
    ByRef fail As NagError _
   )


